﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace Application.MainModule.DinnerManagement
{
    [DataContract]
    [Serializable]
    public class DinnerDTO
    {
        [DataMember]
        public int DinnerID { get; set; }
        [DataMember]
        public string Title { get; set; }
        [DataMember]
        public DateTime EventDate { get; set; }
        [DataMember]
        public string Description { get; set; }
        [DataMember]
        public string HostedById { get; set; }
        [DataMember]
        public string HostedBy { get; set; }
        [DataMember]
        public string ContactPhone { get; set; }
        [DataMember]
        public string Address { get; set; }
        [DataMember]
        public string Country { get; set; }
        [DataMember]
        public double Latitude { get; set; }
        [DataMember]
        public double Longitude { get; set; }
        [DataMember]
        public List<RsvpDTO> RsvpDtos { get; set; }
    }
}
