﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Infrastructure.CrossCutting.Caching
{
    public interface ICache
    {
        object Get(CacheKey cacheKey);
        void Set(CacheItemConfig cacheItemConfig, object value);
        bool Remove(CacheKey cacheKey);
        void Clear();
    }

    public interface ILocalCache : ICache { }
    public interface IDistributedCache : ICache { }
}
