﻿using System.Collections.Specialized;
using System.Globalization;
using System.Runtime.CompilerServices;

namespace Infrastructure.CrossCutting.Resource
{
    public interface IDBResourceSerivce
    {
        string GetResourceByCultureAndKeyInternal(CultureInfo culture, string resourceKey);
        [MethodImpl(MethodImplOptions.Synchronized)]
        ListDictionary GetResourcesByCulture(CultureInfo culture);
        [MethodImpl(MethodImplOptions.Synchronized)]
        string GetResourceByCultureAndKey(CultureInfo culture, string resourceKey);
        void Dispose();
    }
}
