﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace Application.MainModule.DinnerManagement
{
    //"{\"StudentName\":\"Shen Xiu\",\"StudentId\":1001,\"Date\":\"2012-7-20,Fri\",\"AvailableCredits\":23,\"Notifications\":[{\"Type\":1,\"Date\":\"2012-7-20\",\"Title\":\"EF Earth Hour\"},{\"Type\":1,\"Date\":\"2012-7-10\",\"Title\":\"EF Earth Hour\"}],\"LifeClubEvents\":[{\"Date\":\"2012-7-23\", \"Events\":[{\"Title\":\"The little green explorer\",\"Content\":\"About the environment, natural resources and the world. Proin lectus augue, iaculis a posuere.\",\"Time\":\"8:30 pm\",\"Cost\":4,\"Status\":1},{\"Title\":\"The little green explorer\",\"Content\":\"About the environment, natural resources and the world. Proin lectus augue, iaculis a posuere.\",\"Time\":\"8:30 pm\",\"Cost\":4,\"Status\":2}]},{\"Date\":\"2012-7-25\",\"Events\":[{\"Title\":\"The little green explorer\",\"Content\":\"About the environment, natural resources and the world. Proin lectus augue, iaculis a posuere.\",\"Time\":\"8:10 pm\",\"Cost\":4,\"Status\":3},{\"Title\":\"The little green explorer\",\"Content\":\"About the environment, natural resources and the world. Proin lectus augue, iaculis a posuere.\",\"Time\":\"8:30 pm\",\"Cost\":4,\"Status\":4},{\"Title\":\"The little green explorer\",\"Content\":\"About the environment, natural resources and the world. Proin lectus augue, iaculis a posuere.\",\"Time\":\"8:30 pm\",\"Cost\":4,\"Status\":1}]}],Medias:[{\"big\":\"url1\",\"small\":\"url2\"},{\"big\":\"url1\",\"small\":\"url2\"}]}"
    [DataContract]
    public class GaryDTO
    {
        [DataMember]
        public string StudentName { get; set; }
        [DataMember]
        public string StudentId { get; set; }
        [DataMember]
        public string Date { get; set; }
        [DataMember]
        public string AvailableCredits { get; set; }
        [DataMember]
        public List<Notification> Notifications { get; set; }
        [DataMember]
        public List<LifeClubEvent> LifeClubEvents { get; set; }
        [DataMember]
        public List<Media> Medias { get; set; }
    }
    [DataContract]
    public class Notification
    {
        [DataMember]
        public string Type { get; set; }
        [DataMember]
        public string Date { get; set; }
        [DataMember]
        public string Title { get; set; }
    }
    [DataContract]
    public class LifeClubEvent
    {
        [DataMember]
        public string Date { get; set; }
        [DataMember]
        public List<Event> Events { get; set; }
    }
    [DataContract]
    public class Event
    {
        [DataMember]
        public string Title { get; set; }
        [DataMember]
        public string Content { get; set; }
        [DataMember]
        public string Time { get; set; }
        [DataMember]
        public string Cost { get; set; }
        [DataMember]
        public string Status { get; set; }
       
    }
    [DataContract]
    public class Media
    {
        [DataMember]
        public string big { get; set; }
        [DataMember]
        public string small { get; set; }
    }
}
