﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Infrastructure.CrossCutting.IoC
{
    /// <summary>
    /// Base contract for IoC abstract factory
    /// </summary>
    public interface IIoCFactory
    {
        /// <summary>
        /// Create a new IContainer
        /// </summary>
        /// <returns>The IContainer created</returns>
        IContainer Create();
    }
}
