﻿using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using Domain.MainModule.Entities;

namespace Infrastructure.Data.MainModule.MainModule.Mapping
{
    /// <summary>
    /// The customer entity type configuration
    /// </summary>
    public class DinnersEntityConfiguration : EntityTypeConfiguration<Dinners>
    {
        /// <summary>
        /// Create a new instance of customer entity configuration
        /// </summary>
        public DinnersEntityConfiguration()
        {
            //configure keys and properties
            this.HasKey(p => p.DinnerID);

            //configure table map
            this.ToTable("Dinners");
        }
    }
}
