﻿using System.Configuration;
using System.Web.Configuration;

namespace Presentation.Web.UI.Configuration
{
    public class PresentationSection : ConfigurationSection
	{
        public readonly static PresentationSection Current = (PresentationSection)WebConfigurationManager.GetSection("presentationSection");

        [ConfigurationProperty("MembershipProvider", IsRequired = true)]
        public MembershipProviderElement MembershipProvider
		{
            get { return (MembershipProviderElement)base["MembershipProvider"]; }
		}
	}
}
